Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: tgtd

Interfaces

### Description:

Linux Target Framework Daemon.

### Interfaces:

tgtd_admin( domain , role )

##### Summary

All of the rules required to administrate an tgtd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

tgtd_manage_semaphores( domain )

##### Summary

Create, read, write, and delete tgtd sempaphores.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tgtd_rw_semaphores( domain )

##### Summary

Read and write tgtd semaphores.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tgtd_stream_connect( domain )

##### Summary

Connect to tgtd with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return